Update Currency Ratio

Lets you add or update currency ratios with respect to Indian Rupee (INR).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Note: To add a new supported currency for an org, follow these steps

  • Navigate to Intouch > Org settings > Org Setup > Org Profile > Click on the Edit button on the top right > Click on Org Profile > Set Org Currency tab > Select the currency which you wan to add from the list on the left and then add it to the right list > Click on submit.
  • Once a new supported currency have been added to an org from the Intouch UI, it takes a maximum of 1 hour for that currency's ratio to be updated using the Update Currency Ratio API.

Body Parameters

FieldTypeRequiredDescription
currencyCodestringYesISO code of the currency
ratioInrnumberYesRatio of the currency to INR (must be greater than 0)
{
    "ratioInr":65,
    "currencyCode":"SGD"
}

Response Parameters

Parameter NameTypeDescription
entityObjectContains currency conversion details
- ratioInrFloatConversion rate to INR
- currencyCodeStringOriginal currency code (ISO Format)
warningsArrayList of non-critical warnings (if any)
errorsArrayList of error messages (if any)
successBooleanIndicates if the request was successful
{
    "entity": {
        "ratioInr": 65.0,
        "currencyCode": "SGD"
    },
    "warnings": [],
    "errors": [],
    "success": true
}
📘

NOTE

To retrieve all updated currency ratios for an organization, use the same endpoint as the Update Currency Ratio API but:

  • Change the method from POST → GET
  • Set the body type to none(GET calls require no request body)
Body Params
double
required

Conversion ratio with respect to INR.

string
required

ISO currency code that you want to update. For example EUR for Euro, SGD for Singapore Dollar, CNY for China Yuan Renminbi, SAR Saudi Riyal. For more codes, Google for ISO currency codes.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json